Skip to content
Back to top
View this page

# ChatOwnerChanged

class telegram.ChatOwnerChanged(new_owner, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a service message about an ownership change in the chat.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `new_owner` is equal.

  Available In

  `telegram.Message.chat_owner_changed`

  Added in version 22.7.

  Parameters:

    new_owner (`telegram.User`) – The new owner of the chat

  new_owner

    The new owner of the chat

    Type:

      `telegram.User`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.